package com.mortals.xhx.module.record.service;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.record.model.ApplyLogEntity;

/**
* ApplyLogService
*
* 证照申请 service接口
*
* @author zxfei
* @date 2022-10-14
*/
public interface ApplyLogService extends ICRUDService<ApplyLogEntity,Long>{

    /**
     * 预览正本
     * @param applyLogEntity
     * @return
     */
    String previewOriginal(ApplyLogEntity applyLogEntity, Context context) throws AppException;

    /**
     * 生成正本
     * @param applyLogEntity
     * @return
     */
    void generateOriginal(ApplyLogEntity applyLogEntity, Context context) throws AppException;


}